from sqlalchemy import Column, Integer, String, Date, ForeignKey
from sqlalchemy.orm import relationship

from app.db.base_class import Base


class Student(Base):
    id = Column(Integer, primary_key=True, index=True)
    student_id = Column(String(20), unique=True, index=True, nullable=False)
    date_of_birth = Column(Date, nullable=True)
    address = Column(String(255), nullable=True)
    phone_number = Column(String(20), nullable=True)
    grade_level = Column(String(20), nullable=True)
    
    # Foreign keys
    user_id = Column(Integer, ForeignKey("user.id"), unique=True, nullable=False)
    
    # Relationships
    user = relationship("User", back_populates="student")
    enrollments = relationship("ClassEnrollment", back_populates="student")
    
    def __repr__(self):
        return f"<Student {self.student_id}>"