# Re-export all schema modules
__all__ = [
    # Token schemas
    "Token", "TokenPayload",
    # User schemas
    "User", "UserCreate", "UserUpdate", "UserInDB",
    # Role schemas
    "Role", "RoleCreate", "RoleUpdate",
    # Student schemas
    "Student", "StudentCreate", "StudentUpdate", "StudentWithUser",
    # Teacher schemas
    "Teacher", "TeacherCreate", "TeacherUpdate", "TeacherWithUser",
    # Course schemas
    "Course", "CourseCreate", "CourseUpdate", "CourseWithTeacher",
    # Class enrollment schemas
    "ClassEnrollment", "ClassEnrollmentCreate", "ClassEnrollmentUpdate", "ClassEnrollmentWithDetails",
    # Exam schemas
    "Exam", "ExamCreate", "ExamUpdate", "ExamWithQuestions", "ExamWithCreator",
    # Question schemas
    "Question", "QuestionCreate", "QuestionUpdate", "QuestionWithOptions", "QuestionType",
    # Question option schemas
    "QuestionOption", "QuestionOptionCreate", "QuestionOptionUpdate", "QuestionOptionForExam",
    # Exam result schemas
    "ExamResult", "ExamResultCreate", "ExamResultUpdate", "ExamResultWithAnswers",
    # Student answer schemas
    "StudentAnswer", "StudentAnswerCreate", "StudentAnswerUpdate"
]

from app.schemas.token import Token, TokenPayload
from app.schemas.user import User, UserCreate, UserUpdate, UserInDB
from app.schemas.role import Role, RoleCreate, RoleUpdate
from app.schemas.student import Student, StudentCreate, StudentUpdate, StudentWithUser
from app.schemas.teacher import Teacher, TeacherCreate, TeacherUpdate, TeacherWithUser
from app.schemas.course import Course, CourseCreate, CourseUpdate, CourseWithTeacher
from app.schemas.class_enrollment import ClassEnrollment, ClassEnrollmentCreate, ClassEnrollmentUpdate, ClassEnrollmentWithDetails
from app.schemas.exam import Exam, ExamCreate, ExamUpdate, ExamWithQuestions, ExamWithCreator
from app.schemas.question import Question, QuestionCreate, QuestionUpdate, QuestionWithOptions, QuestionType
from app.schemas.question_option import QuestionOption, QuestionOptionCreate, QuestionOptionUpdate, QuestionOptionForExam
from app.schemas.exam_result import ExamResult, ExamResultCreate, ExamResultUpdate, ExamResultWithAnswers
from app.schemas.student_answer import StudentAnswer, StudentAnswerCreate, StudentAnswerUpdate